SpringBrokerContainerFactory (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.spring.SpringBrokerContainerFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.spring
Class SpringBrokerContainerFactory

    java.lang.Object
      org.codehaus.activemq.spring.SpringBrokerContainerFactory

All Implemented Interfaces:
  BrokerContainerFactory

public class SpringBrokerContainerFactory
extends Object
implements BrokerContainerFactory

A Spring implementatation of `BrokerContainerFactory` which uses an XML deployment configuration file to load and configure a `BrokerContainer`

Version:
  $Revision: 1.3 $

Constructor Summary
`SpringBrokerContainerFactory()`
`SpringBrokerContainerFactory(org.springframework.core.io.Resource resource)`

Method Summary
`BrokerContainer` | `createBrokerContainer(String brokerName, BrokerContext context)` Creates a broker container with the given name
`org.springframework.core.io.Resource` | `getResource()`
`static SpringBrokerContainerFactory` | `newFactory(String resourceName)` A helper method, invoked via reflection, to create a new factory from a given configuration file String which if it starts with classpath: is a classpath URI otherwise a URL is assumed.
`static BrokerContainer` | `newInstance(org.springframework.core.io.Resource resource, String brokerName)` A static factory method that can be used in Spring config files using a factory method mechanism to create a broker container easily.
`void` | `setResource(org.springframework.core.io.Resource resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringBrokerContainerFactory

    public SpringBrokerContainerFactory()

### SpringBrokerContainerFactory

    public SpringBrokerContainerFactory(org.springframework.core.io.Resource resource)

Method Detail

### newInstance

    public static BrokerContainer newInstance(org.springframework.core.io.Resource resource,
                                              String brokerName)

  A static factory method that can be used in Spring config files using a factory method mechanism to create a broker container easily.

### newFactory

    public static SpringBrokerContainerFactory newFactory(String resourceName)

  A helper method, invoked via reflection, to create a new factory from a given configuration file String which if it starts with classpath: is a classpath URI otherwise a URL is assumed.

  Parameters:
    `resourceName` -
  Returns:

### createBrokerContainer

    public BrokerContainer createBrokerContainer(String brokerName,
                                                 BrokerContext context)

  Description copied from interface: `BrokerContainerFactory`
  Creates a broker container with the given name

  Specified by:
    `createBrokerContainer` in interface `BrokerContainerFactory`
  Parameters:
    `brokerName` -
    `context` -
  Returns:

### getResource

    public org.springframework.core.io.Resource getResource()

### setResource

    public void setResource(org.springframework.core.io.Resource resource)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.